1

I have two legacy Android 4.0 Garmin Monterra devices. It's not possible anymore to open the Google Play Store or some websites. When I open most of the websites with Chrome, I receive an SSL error 107. Some websites with HTTPS or HTTP are possible to open. I'm guessing that there is an issue with the CA certificates.

I found this solution Update trusted SSL root certs in AOSP, but it's not possible to copy the certificates to the devices. I tried the ADB-Shell but without any success (permission issue).

Is there any solution to update expired certificates? Is it possible to convert the ca-certificates from the .0 file format to any other possible format and to import over the SD certificate import from Android 4.0?

4
  • Why don't you use the UI to import the certificate. But even with working certificates you may encounter problems as Android 4.0 does only support TLS 1.0 but most servers now require TLS 1.1 or even TLS 1.2.
    – Robert
    May 28, 2022 at 21:24
  • I tried the UI to import the certificates but I got always the message that "no certificates found on sd card"
    – mkey
    May 29, 2022 at 5:47
  • In what format had you placed the certificates on the SD-card section, .cer/.crt (DER encoded) as .pem or as .p12?
    – Robert
    May 29, 2022 at 20:59
  • Exported from Chrome (Windows), it should be .cer format (DER encoded). Is a special directoy required on the sd card?
    – mkey
    May 30, 2022 at 6:37

1 Answer 1

2

I spent a fair amount of time trying to work around the TLS limitations of Android 4.0.4 and in the process, found an install path that has given me access to the Play Store on Monterra. I was even able to download a few apps on the Monterra via the Play Store. I already had success using ADB to sideload any APKs that I wanted, but I was not going to be happy until I could log in to all things Google.

Not sure if this matters but I have Opera Mini installed before starting all of this...

The first step was to go through the app settings and clear cache > clear data > disable each Google entity. I disabled everything including the keyboard (actually, I think I left Google Maps enabled). Next, I went through and did the following in this exact order and with these specific APK versions:

  1. Reenable Google Account Manager in App settings. Then use ADB to reinstall with the -r flag

    adb install -r "com.google.android.gsf.login_4.4-927798-19_minAPI8(nodpi)_apkmirror.com.apk"
    
  2. Reenable Google Services Framework. Use ADB to reinstall with the -r flag

    adb install -r "com.google.android.gsf_4.0.1-228551-14_minAPI14(nodpi)_apkmirror.com.apk"
    
  3. Reenable Google Play Services. Use ADB to reinstall with the -r flag

    adb install -r "com.google.android.gms_14.8.49_(000302-231258850)-14849001_minAPI14(armeabi-v7a)(160dpi)_apkmirror.com.apk"
    
  4. Reenable Google Play Store. Use ADB to reinstall with the -r flag

    adb install -r "com.android.vending_9.8.31-all_0_PR_195868990-80983100_minAPI14(armeabi,armeabi-v7a,mips,mips64,x86,x86_64)(240,320,480dpi)_apkmirror.com.apk"
    

The above is what I had documented. The following can be accredited to my best attempt at recollection. I think I opened the Play Store and was prompted with the usual login request. I expected it to fail, but to my surprise, it authenticated me and gave me a list of antiquated apps. One of which was Puzzle Block which was installed without a hitch! I honestly do not know why it is working... somehow it is hitting a repo with compatible apps. Feeling confident I proceeded to reinstall Chrome:

  1. Reenable Google Chrome. Use ADB to reinstall with the -r flag

    adb install -r com.android.chrome-42.0.2311.111-2311111-minAPI14.apk
    

I uninstalled Opera Mini since it was not performing as well as Chrome v42...

It's worth noting that any APKs you load, especially the ones I listed, need to be API version 14. Others may work, but my initial attempt at this failed and I think it failed because one of the APKs I loaded was version 15.

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .